%global modname libqutrub
%global distname LibQutrub

Name:				python-%{modname}
Version:			1.0
Release:			7%{?dist}
Summary:			Arabic verb conjuagtion library
Summary(ar):		مكتبة تصريف الأفعال العربية
License:			GPLv1
URL:				https://pypi.python.org/pypi/%{distname}
Source:				https://pypi.python.org/packages/source/L/%{distname}/%{distname}-%{version}.zip
#By PKG-INFO file, and after calling programmer:
Source1:            gpl-1.0.txt
#Fix file encoding:
Source2:            %{distname}-PKG-INFO
BuildArch:			noarch
BuildRequires:		python2-devel
BuildRequires:		python-setuptools

%description
Arabic language verb conjuagtion library to be used by Python.

%description -l ar
مكتبة تصريف أفعال اللّغة العربية، مخصّصة للاستخدام ضمن بيئة بيثون.

%prep
%setup -q -n %{distname}-%{version}
rm -rf *.egg-info
#Remove the python shebang:
sed -i 's:#!/usr/bin/python::g' %{modname}/*
#Add License File:
cp -p %{SOURCE1} .
#Fix file encoding:
cp -p %{SOURCE2} ./PKG-INFO

%build
%{__python2} setup_lib.py build

%install
%{__python2} setup_lib.py install --skip-build --root=%{buildroot}

%files
%doc PKG-INFO gpl-1.0.txt
%{python2_sitelib}/%{modname}/
%{python2_sitelib}/%{distname}-%{version}-py2.*.egg-info

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Oct 24 2014 Mosaab Alzoubi <moceap@hotmail.com> - 1.0-3
- Minor fixes during revision.

* Thu Oct 23 2014 Mosaab Alzoubi <moceap@hotmail.com> - 1.0-2
- General revision.

* Sat Jan 11 2014 Mosaab Alzoubi <moceap@hotmail.com> - 1.0-1
- Initial build.
